ProxyDirContext (Catalina Internal API Documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.resources
Class ProxyDirContext

    java.lang.Object
      org.apache.naming.resources.ProxyDirContext

All Implemented Interfaces:
  javax.naming.Context, javax.naming.directory.DirContext

public class ProxyDirContext
extends java.lang.Object
implements javax.naming.directory.DirContext

Proxy Directory Context implementation.

Version:
  $Revision: 1.16 $ $Date: 2004/08/26 21:45:38 $
Author:
  Remy Maucherat

Nested Class Summary
`protected class` | `ProxyDirContext.CacheEntry`

Field Summary
`protected java.util.Map` | `cache` Cache.
`protected int` | `cacheObjectMaxSize` Max size of resources which will have their content cached.
`protected int` | `cacheSize` Cache size
`protected int` | `cacheTTL` Cache TTL.
`static java.lang.String` | `CONTEXT`
`protected java.lang.String` | `contextName` Context name.
`protected javax.naming.directory.DirContext` | `dirContext` Associated DirContext.
`protected java.util.Hashtable` | `env` Environment.
`static java.lang.String` | `HOST`
`protected java.lang.String` | `hostName` Host name.
`protected javax.naming.NameNotFoundException` | `notFoundException` Immutable name not found exception.
`protected StringManager` | `sm` The string manager for this package.
`protected java.lang.String` | `vPath` Virtual path.

Fields inherited from interface javax.naming.directory.DirContext
`ADD_ATTRIBUTE, REMOVE_ATTRIBUTE, REPLACE_ATTRIBUTE`

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Constructor Summary
`` | `ProxyDirContext(java.util.Hashtable env, javax.naming.directory.DirContext dirContext)` Builds a proxy directory context using the given environment.
`protected` | `ProxyDirContext(ProxyDirContext proxyDirContext, javax.naming.directory.DirContext dirContext, java.lang.String vPath)` Builds a clone of this proxy dir context, wrapping the given directory context, and sharing the same cache.

Method Summary
`java.lang.Object` | `addToEnvironment(java.lang.String propName, java.lang.Object propVal)` Adds a new environment property to the environment of this context.
`void` | `bind(javax.naming.Name name, java.lang.Object obj)` Binds a name to an object.
`void` | `bind(javax.naming.Name name, java.lang.Object obj, javax.naming.directory.Attributes attrs)` Binds a name to an object, along with associated attributes.
`void` | `bind(java.lang.String name, java.lang.Object obj)` Binds a name to an object.
`void` | `bind(java.lang.String name, java.lang.Object obj, javax.naming.directory.Attributes attrs)` Binds a name to an object, along with associated attributes.
`protected void` | `cacheLoad(ProxyDirContext.CacheEntry entry)` Load entry into cache.
`protected ProxyDirContext.CacheEntry` | `cacheLookup(java.lang.String name)` Lookup in cache.
`protected boolean` | `cacheUnload(java.lang.String name)` Remove entry from cache.
`void` | `close()` Closes this context.
`javax.naming.Name` | `composeName(javax.naming.Name name, javax.naming.Name prefix)` Composes the name of this context with a name relative to this context.
`java.lang.String` | `composeName(java.lang.String name, java.lang.String prefix)` Composes the name of this context with a name relative to this context.
`javax.naming.Context` | `createSubcontext(javax.naming.Name name)` Creates and binds a new context.
`javax.naming.directory.DirContext` | `createSubcontext(javax.naming.Name name, javax.naming.directory.Attributes attrs)` Creates and binds a new context, along with associated attributes.
`javax.naming.Context` | `createSubcontext(java.lang.String name)` Creates and binds a new context.
`javax.naming.directory.DirContext` | `createSubcontext(java.lang.String name, javax.naming.directory.Attributes attrs)` Creates and binds a new context, along with associated attributes.
`void` | `destroySubcontext(javax.naming.Name name)` Destroys the named context and removes it from the namespace.
`void` | `destroySubcontext(java.lang.String name)` Destroys the named context and removes it from the namespace.
`javax.naming.directory.Attributes` | `getAttributes(javax.naming.Name name)` Retrieves all of the attributes associated with a named object.
`javax.naming.directory.Attributes` | `getAttributes(javax.naming.Name name, java.lang.String[] attrIds)` Retrieves selected attributes associated with a named object.
`javax.naming.directory.Attributes` | `getAttributes(java.lang.String name)` Retrieves all of the attributes associated with a named object.
`javax.naming.directory.Attributes` | `getAttributes(java.lang.String name, java.lang.String[] attrIds)` Retrieves selected attributes associated with a named object.
`java.lang.String` | `getContextName()` Return the context name.
`javax.naming.directory.DirContext` | `getDirContext()` Return the actual directory context we are wrapping.
`java.lang.String` | `getDocBase()` Return the document root for this component.
`java.util.Hashtable` | `getEnvironment()` Retrieves the environment in effect for this context.
`java.lang.String` | `getHostName()` Return the host name.
`java.lang.String` | `getNameInNamespace()` Retrieves the full name of this context within its own namespace.
`javax.naming.NameParser` | `getNameParser(javax.naming.Name name)` Retrieves the parser associated with the named context.
`javax.naming.NameParser` | `getNameParser(java.lang.String name)` Retrieves the parser associated with the named context.
`javax.naming.directory.DirContext` | `getSchema(javax.naming.Name name)` Retrieves the schema associated with the named object.
`javax.naming.directory.DirContext` | `getSchema(java.lang.String name)` Retrieves the schema associated with the named object.
`javax.naming.directory.DirContext` | `getSchemaClassDefinition(javax.naming.Name name)` Retrieves a context containing the schema objects of the named object's class definitions.
`javax.naming.directory.DirContext` | `getSchemaClassDefinition(java.lang.String name)` Retrieves a context containing the schema objects of the named object's class definitions.
`javax.naming.NamingEnumeration` | `list(javax.naming.Name name)` Enumerates the names bound in the named context, along with the class names of objects bound to them.
`javax.naming.NamingEnumeration` | `list(java.lang.String name)` Enumerates the names bound in the named context, along with the class names of objects bound to them.
`javax.naming.NamingEnumeration` | `listBindings(javax.naming.Name name)` Enumerates the names bound in the named context, along with the objects bound to them.
`javax.naming.NamingEnumeration` | `listBindings(java.lang.String name)` Enumerates the names bound in the named context, along with the objects bound to them.
`java.lang.Object` | `lookup(javax.naming.Name name)` Retrieves the named object.
`java.lang.Object` | `lookup(java.lang.String name)` Retrieves the named object.
`java.lang.Object` | `lookupLink(javax.naming.Name name)` Retrieves the named object, following links except for the terminal atomic component of the name.
`java.lang.Object` | `lookupLink(java.lang.String name)` Retrieves the named object, following links except for the terminal atomic component of the name.
`void` | `modifyAttributes(javax.naming.Name name, int mod_op, javax.naming.directory.Attributes attrs)` Modifies the attributes associated with a named object.
`void` | `modifyAttributes(javax.naming.Name name, javax.naming.directory.ModificationItem[] mods)` Modifies the attributes associated with a named object using an an ordered list of modifications.
`void` | `modifyAttributes(java.lang.String name, int mod_op, javax.naming.directory.Attributes attrs)` Modifies the attributes associated with a named object.
`void` | `modifyAttributes(java.lang.String name, javax.naming.directory.ModificationItem[] mods)` Modifies the attributes associated with a named object using an an ordered list of modifications.
`protected javax.naming.Name` | `parseName(javax.naming.Name name)` Parses a name.
`protected java.lang.String` | `parseName(java.lang.String name)` Parses a name.
`void` | `rebind(javax.naming.Name name, java.lang.Object obj)` Binds a name to an object, overwriting any existing binding.
`void` | `rebind(javax.naming.Name name, java.lang.Object obj, javax.naming.directory.Attributes attrs)` Binds a name to an object, along with associated attributes, overwriting any existing binding.
`void` | `rebind(java.lang.String name, java.lang.Object obj)` Binds a name to an object, overwriting any existing binding.
`void` | `rebind(java.lang.String name, java.lang.Object obj, javax.naming.directory.Attributes attrs)` Binds a name to an object, along with associated attributes, overwriting any existing binding.
`java.lang.Object` | `removeFromEnvironment(java.lang.String propName)` Removes an environment property from the environment of this context.
`void` | `rename(javax.naming.Name oldName, javax.naming.Name newName)` Binds a new name to the object bound to an old name, and unbinds the old name.
`void` | `rename(java.lang.String oldName, java.lang.String newName)` Binds a new name to the object bound to an old name, and unbinds the old name.
`protected boolean` | `revalidate(ProxyDirContext.CacheEntry entry)` Revalidate entry.
`javax.naming.NamingEnumeration` | `search(javax.naming.Name name, javax.naming.directory.Attributes matchingAttributes)` Searches in a single context for objects that contain a specified set of attributes.
`javax.naming.NamingEnumeration` | `search(javax.naming.Name name, javax.naming.directory.Attributes matchingAttributes, java.lang.String[] attributesToReturn)` Searches in a single context for objects that contain a specified set of attributes, and retrieves selected attributes.
`javax.naming.NamingEnumeration` | `search(javax.naming.Name name, java.lang.String filterExpr, java.lang.Object[] filterArgs, javax.naming.directory.SearchControls cons)` Searches in the named context or object for entries that satisfy the given search filter.
`javax.naming.NamingEnumeration` | `search(javax.naming.Name name, java.lang.String filter, javax.naming.directory.SearchControls cons)` Searches in the named context or object for entries that satisfy the given search filter.
`javax.naming.NamingEnumeration` | `search(java.lang.String name, javax.naming.directory.Attributes matchingAttributes)` Searches in a single context for objects that contain a specified set of attributes.
`javax.naming.NamingEnumeration` | `search(java.lang.String name, javax.naming.directory.Attributes matchingAttributes, java.lang.String[] attributesToReturn)` Searches in a single context for objects that contain a specified set of attributes, and retrieves selected attributes.
`javax.naming.NamingEnumeration` | `search(java.lang.String name, java.lang.String filterExpr, java.lang.Object[] filterArgs, javax.naming.directory.SearchControls cons)` Searches in the named context or object for entries that satisfy the given search filter.
`javax.naming.NamingEnumeration` | `search(java.lang.String name, java.lang.String filter, javax.naming.directory.SearchControls cons)` Searches in the named context or object for entries that satisfy the given search filter.
`void` | `unbind(javax.naming.Name name)` Unbinds the named object.
`void` | `unbind(java.lang.String name)` Unbinds the named object.
`protected boolean` | `validate(ProxyDirContext.CacheEntry entry)` Validate entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTEXT

    public static final java.lang.String CONTEXT

See Also:
  Constant Field Values

### HOST

    public static final java.lang.String HOST

See Also:
  Constant Field Values

### env

    protected java.util.Hashtable env

  Environment.

### sm

    protected StringManager sm

  The string manager for this package.

### dirContext

    protected javax.naming.directory.DirContext dirContext

  Associated DirContext.

### vPath

    protected java.lang.String vPath

  Virtual path.

### hostName

    protected java.lang.String hostName

  Host name.

### contextName

    protected java.lang.String contextName

  Context name.

### cache

    protected java.util.Map cache

  Cache. Path -> Cache entry.

### cacheSize

    protected int cacheSize

  Cache size

### cacheTTL

    protected int cacheTTL

  Cache TTL.

### cacheObjectMaxSize

    protected int cacheObjectMaxSize

  Max size of resources which will have their content cached.

### notFoundException

    protected javax.naming.NameNotFoundException notFoundException

  Immutable name not found exception.

Constructor Detail

### ProxyDirContext

    public ProxyDirContext(java.util.Hashtable env,
                           javax.naming.directory.DirContext dirContext)

  Builds a proxy directory context using the given environment.

### ProxyDirContext

    protected ProxyDirContext(ProxyDirContext proxyDirContext,
                              javax.naming.directory.DirContext dirContext,
                              java.lang.String vPath)

  Builds a clone of this proxy dir context, wrapping the given directory context, and sharing the same cache.

Method Detail

### getDirContext

    public javax.naming.directory.DirContext getDirContext()

  Return the actual directory context we are wrapping.

### getDocBase

    public java.lang.String getDocBase()

  Return the document root for this component.

### getHostName

    public java.lang.String getHostName()

  Return the host name.

### getContextName

    public java.lang.String getContextName()

  Return the context name.

### lookup

    public java.lang.Object lookup(javax.naming.Name name)
                            throws javax.naming.NamingException

  Retrieves the named object. If name is empty, returns a new instance of this context (which represents the same naming context as this context, but its environment may be modified independently and it may be accessed concurrently).

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the object to look up
  Returns:
    the object bound to name
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### lookup

    public java.lang.Object lookup(java.lang.String name)
                            throws javax.naming.NamingException

  Retrieves the named object.

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the object to look up
  Returns:
    the object bound to name
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### bind

    public void bind(javax.naming.Name name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

  Binds a name to an object. All intermediate contexts and the target context (that named by all but terminal atomic component of the name) must already exist.

  Specified by:
    `bind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
  Throws:
    `NameAlreadyBoundException` - if name is already bound
    `InvalidAttributesException` - if object did not supply all mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### bind

    public void bind(java.lang.String name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

  Binds a name to an object.

  Specified by:
    `bind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
  Throws:
    `NameAlreadyBoundException` - if name is already bound
    `InvalidAttributesException` - if object did not supply all mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### rebind

    public void rebind(javax.naming.Name name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

  Binds a name to an object, overwriting any existing binding. All intermediate contexts and the target context (that named by all but terminal atomic component of the name) must already exist.

  If the object is a DirContext, any existing attributes associated with the name are replaced with those of the object. Otherwise, any existing attributes associated with the name remain unchanged.

  Specified by:
    `rebind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
  Throws:
    `InvalidAttributesException` - if object did not supply all mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### rebind

    public void rebind(java.lang.String name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

  Binds a name to an object, overwriting any existing binding.

  Specified by:
    `rebind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
  Throws:
    `InvalidAttributesException` - if object did not supply all mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### unbind

    public void unbind(javax.naming.Name name)
                throws javax.naming.NamingException

  Unbinds the named object. Removes the terminal atomic name in name from the target context--that named by all but the terminal atomic part of name.

  This method is idempotent. It succeeds even if the terminal atomic name is not bound in the target context, but throws NameNotFoundException if any of the intermediate contexts do not exist.

  Specified by:
    `unbind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
  Throws:
    `javax.naming.NameNotFoundException` - if an intermediate context does not exist
    `javax.naming.NamingException` - if a naming exception is encountered

### unbind

    public void unbind(java.lang.String name)
                throws javax.naming.NamingException

  Unbinds the named object.

  Specified by:
    `unbind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
  Throws:
    `javax.naming.NameNotFoundException` - if an intermediate context does not exist
    `javax.naming.NamingException` - if a naming exception is encountered

### rename

    public void rename(javax.naming.Name oldName,
                       javax.naming.Name newName)
                throws javax.naming.NamingException

  Binds a new name to the object bound to an old name, and unbinds the old name. Both names are relative to this context. Any attributes associated with the old name become associated with the new name. Intermediate contexts of the old name are not changed.

  Specified by:
    `rename` in interface `javax.naming.Context`
  Parameters:
    `oldName` - the name of the existing binding; may not be empty
    `newName` - the name of the new binding; may not be empty
  Throws:
    `NameAlreadyBoundException` - if newName is already bound
    `javax.naming.NamingException` - if a naming exception is encountered

### rename

    public void rename(java.lang.String oldName,
                       java.lang.String newName)
                throws javax.naming.NamingException

  Binds a new name to the object bound to an old name, and unbinds the old name.

  Specified by:
    `rename` in interface `javax.naming.Context`
  Parameters:
    `oldName` - the name of the existing binding; may not be empty
    `newName` - the name of the new binding; may not be empty
  Throws:
    `NameAlreadyBoundException` - if newName is already bound
    `javax.naming.NamingException` - if a naming exception is encountered

### list

    public javax.naming.NamingEnumeration list(javax.naming.Name name)
                                        throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the class names of objects bound to them. The contents of any subcontexts are not included.

  If a binding is added to or removed from this context, its effect on an enumeration previously returned is undefined.

  Specified by:
    `list` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the names and class names of the bindings in this context. Each element of the enumeration is of type NameClassPair.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### list

    public javax.naming.NamingEnumeration list(java.lang.String name)
                                        throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the class names of objects bound to them.

  Specified by:
    `list` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the names and class names of the bindings in this context. Each element of the enumeration is of type NameClassPair.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### listBindings

    public javax.naming.NamingEnumeration listBindings(javax.naming.Name name)
                                                throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the objects bound to them. The contents of any subcontexts are not included.

  If a binding is added to or removed from this context, its effect on an enumeration previously returned is undefined.

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the bindings in this context. Each element of the enumeration is of type Binding.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### listBindings

    public javax.naming.NamingEnumeration listBindings(java.lang.String name)
                                                throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the objects bound to them.

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the bindings in this context. Each element of the enumeration is of type Binding.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### destroySubcontext

    public void destroySubcontext(javax.naming.Name name)
                           throws javax.naming.NamingException

  Destroys the named context and removes it from the namespace. Any attributes associated with the name are also removed. Intermediate contexts are not destroyed.

  This method is idempotent. It succeeds even if the terminal atomic name is not bound in the target context, but throws NameNotFoundException if any of the intermediate contexts do not exist. In a federated naming system, a context from one naming system may be bound to a name in another. One can subsequently look up and perform operations on the foreign context using a composite name. However, an attempt destroy the context using this composite name will fail with NotContextException, because the foreign context is not a "subcontext" of the context in which it is bound. Instead, use unbind() to remove the binding of the foreign context. Destroying the foreign context requires that the destroySubcontext() be performed on a context from the foreign context's "native" naming system.

  Specified by:
    `destroySubcontext` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to be destroyed; may not be empty
  Throws:
    `javax.naming.NameNotFoundException` - if an intermediate context does not exist
    `NotContextException` - if the name is bound but does not name a context, or does not name a context of the appropriate type
    `javax.naming.NamingException`

### destroySubcontext

    public void destroySubcontext(java.lang.String name)
                           throws javax.naming.NamingException

  Destroys the named context and removes it from the namespace.

  Specified by:
    `destroySubcontext` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to be destroyed; may not be empty
  Throws:
    `javax.naming.NameNotFoundException` - if an intermediate context does not exist
    `NotContextException` - if the name is bound but does not name a context, or does not name a context of the appropriate type
    `javax.naming.NamingException`

### createSubcontext

    public javax.naming.Context createSubcontext(javax.naming.Name name)
                                          throws javax.naming.NamingException

  Creates and binds a new context. Creates a new context with the given name and binds it in the target context (that named by all but terminal atomic component of the name). All intermediate contexts and the target context must already exist.

  Specified by:
    `createSubcontext` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to create; may not be empty
  Returns:
    the newly created context
  Throws:
    `NameAlreadyBoundException` - if name is already bound
    `InvalidAttributesException` - if creation of the subcontext requires specification of mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### createSubcontext

    public javax.naming.Context createSubcontext(java.lang.String name)
                                          throws javax.naming.NamingException

  Creates and binds a new context.

  Specified by:
    `createSubcontext` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to create; may not be empty
  Returns:
    the newly created context
  Throws:
    `NameAlreadyBoundException` - if name is already bound
    `InvalidAttributesException` - if creation of the subcontext requires specification of mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### lookupLink

    public java.lang.Object lookupLink(javax.naming.Name name)
                                throws javax.naming.NamingException

  Retrieves the named object, following links except for the terminal atomic component of the name. If the object bound to name is not a link, returns the object itself.

  Specified by:
    `lookupLink` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the object to look up
  Returns:
    the object bound to name, not following the terminal link (if any).
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### lookupLink

    public java.lang.Object lookupLink(java.lang.String name)
                                throws javax.naming.NamingException

  Retrieves the named object, following links except for the terminal atomic component of the name.

  Specified by:
    `lookupLink` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the object to look up
  Returns:
    the object bound to name, not following the terminal link (if any).
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getNameParser

    public javax.naming.NameParser getNameParser(javax.naming.Name name)
                                          throws javax.naming.NamingException

  Retrieves the parser associated with the named context. In a federation of namespaces, different naming systems will parse names differently. This method allows an application to get a parser for parsing names into their atomic components using the naming convention of a particular naming system. Within any single naming system, NameParser objects returned by this method must be equal (using the equals() test).

  Specified by:
    `getNameParser` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context from which to get the parser
  Returns:
    a name parser that can parse compound names into their atomic components
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getNameParser

    public javax.naming.NameParser getNameParser(java.lang.String name)
                                          throws javax.naming.NamingException

  Retrieves the parser associated with the named context.

  Specified by:
    `getNameParser` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context from which to get the parser
  Returns:
    a name parser that can parse compound names into their atomic components
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### composeName

    public javax.naming.Name composeName(javax.naming.Name name,
                                         javax.naming.Name prefix)
                                  throws javax.naming.NamingException

  Composes the name of this context with a name relative to this context.

  Given a name (name) relative to this context, and the name (prefix) of this context relative to one of its ancestors, this method returns the composition of the two names using the syntax appropriate for the naming system(s) involved. That is, if name names an object relative to this context, the result is the name of the same object, but relative to the ancestor context. None of the names may be null.

  Specified by:
    `composeName` in interface `javax.naming.Context`
  Parameters:
    `name` - a name relative to this context
    `prefix` - the name of this context relative to one of its ancestors
  Returns:
    the composition of prefix and name
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### composeName

    public java.lang.String composeName(java.lang.String name,
                                        java.lang.String prefix)
                                 throws javax.naming.NamingException

  Composes the name of this context with a name relative to this context.

  Specified by:
    `composeName` in interface `javax.naming.Context`
  Parameters:
    `name` - a name relative to this context
    `prefix` - the name of this context relative to one of its ancestors
  Returns:
    the composition of prefix and name
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### addToEnvironment

    public java.lang.Object addToEnvironment(java.lang.String propName,
                                             java.lang.Object propVal)
                                      throws javax.naming.NamingException

  Adds a new environment property to the environment of this context. If the property already exists, its value is overwritten.

  Specified by:
    `addToEnvironment` in interface `javax.naming.Context`
  Parameters:
    `propName` - the name of the environment property to add; may not be null
    `propVal` - the value of the property to add; may not be null
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### removeFromEnvironment

    public java.lang.Object removeFromEnvironment(java.lang.String propName)
                                           throws javax.naming.NamingException

  Removes an environment property from the environment of this context.

  Specified by:
    `removeFromEnvironment` in interface `javax.naming.Context`
  Parameters:
    `propName` - the name of the environment property to remove; may not be null
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getEnvironment

    public java.util.Hashtable getEnvironment()
                                       throws javax.naming.NamingException

  Retrieves the environment in effect for this context. See class description for more details on environment properties. The caller should not make any changes to the object returned: their effect on the context is undefined. The environment of this context may be changed using addToEnvironment() and removeFromEnvironment().

  Specified by:
    `getEnvironment` in interface `javax.naming.Context`
  Returns:
    the environment of this context; never null
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### close

    public void close()
               throws javax.naming.NamingException

  Closes this context. This method releases this context's resources immediately, instead of waiting for them to be released automatically by the garbage collector. This method is idempotent: invoking it on a context that has already been closed has no effect. Invoking any other method on a closed context is not allowed, and results in undefined behaviour.

  Specified by:
    `close` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getNameInNamespace

    public java.lang.String getNameInNamespace()
                                        throws javax.naming.NamingException

  Retrieves the full name of this context within its own namespace.

  Many naming services have a notion of a "full name" for objects in their respective namespaces. For example, an LDAP entry has a distinguished name, and a DNS record has a fully qualified name. This method allows the client application to retrieve this name. The string returned by this method is not a JNDI composite name and should not be passed directly to context methods. In naming systems for which the notion of full name does not make sense, OperationNotSupportedException is thrown.

  Specified by:
    `getNameInNamespace` in interface `javax.naming.Context`
  Returns:
    this context's name in its own namespace; never null
  Throws:
    `OperationNotSupportedException` - if the naming system does not have the notion of a full name
    `javax.naming.NamingException` - if a naming exception is encountered

### getAttributes

    public javax.naming.directory.Attributes getAttributes(javax.naming.Name name)
                                                    throws javax.naming.NamingException

  Retrieves all of the attributes associated with a named object.

  Specified by:
    `getAttributes` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object from which to retrieve attributes
  Returns:
    the set of attributes associated with name. Returns an empty attribute set if name has no attributes; never null.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getAttributes

    public javax.naming.directory.Attributes getAttributes(java.lang.String name)
                                                    throws javax.naming.NamingException

  Retrieves all of the attributes associated with a named object.

  Specified by:
    `getAttributes` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object from which to retrieve attributes
  Returns:
    the set of attributes associated with name
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getAttributes

    public javax.naming.directory.Attributes getAttributes(javax.naming.Name name,
                                                           java.lang.String[] attrIds)
                                                    throws javax.naming.NamingException

  Retrieves selected attributes associated with a named object. See the class description regarding attribute models, attribute type names, and operational attributes.

  Specified by:
    `getAttributes` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object from which to retrieve attributes
    `attrIds` - the identifiers of the attributes to retrieve. null indicates that all attributes should be retrieved; an empty array indicates that none should be retrieved
  Returns:
    the requested attributes; never null
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getAttributes

    public javax.naming.directory.Attributes getAttributes(java.lang.String name,
                                                           java.lang.String[] attrIds)
                                                    throws javax.naming.NamingException

  Retrieves selected attributes associated with a named object.

  Specified by:
    `getAttributes` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object from which to retrieve attributes
    `attrIds` - the identifiers of the attributes to retrieve. null indicates that all attributes should be retrieved; an empty array indicates that none should be retrieved
  Returns:
    the requested attributes; never null
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### modifyAttributes

    public void modifyAttributes(javax.naming.Name name,
                                 int mod_op,
                                 javax.naming.directory.Attributes attrs)
                          throws javax.naming.NamingException

  Modifies the attributes associated with a named object. The order of the modifications is not specified. Where possible, the modifications are performed atomically.

  Specified by:
    `modifyAttributes` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object whose attributes will be updated
    `mod_op` - the modification operation, one of: ADD_ATTRIBUTE, REPLACE_ATTRIBUTE, REMOVE_ATTRIBUTE
    `attrs` - the attributes to be used for the modification; may not be null
  Throws:
    `AttributeModificationException` - if the modification cannot be completed successfully
    `javax.naming.NamingException` - if a naming exception is encountered

### modifyAttributes

    public void modifyAttributes(java.lang.String name,
                                 int mod_op,
                                 javax.naming.directory.Attributes attrs)
                          throws javax.naming.NamingException

  Modifies the attributes associated with a named object.

  Specified by:
    `modifyAttributes` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object whose attributes will be updated
    `mod_op` - the modification operation, one of: ADD_ATTRIBUTE, REPLACE_ATTRIBUTE, REMOVE_ATTRIBUTE
    `attrs` - the attributes to be used for the modification; may not be null
  Throws:
    `AttributeModificationException` - if the modification cannot be completed successfully
    `javax.naming.NamingException` - if a naming exception is encountered

### modifyAttributes

    public void modifyAttributes(javax.naming.Name name,
                                 javax.naming.directory.ModificationItem[] mods)
                          throws javax.naming.NamingException

  Modifies the attributes associated with a named object using an an ordered list of modifications. The modifications are performed in the order specified. Each modification specifies a modification operation code and an attribute on which to operate. Where possible, the modifications are performed atomically.

  Specified by:
    `modifyAttributes` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object whose attributes will be updated
    `mods` - an ordered sequence of modifications to be performed; may not be null
  Throws:
    `AttributeModificationException` - if the modification cannot be completed successfully
    `javax.naming.NamingException` - if a naming exception is encountered

### modifyAttributes

    public void modifyAttributes(java.lang.String name,
                                 javax.naming.directory.ModificationItem[] mods)
                          throws javax.naming.NamingException

  Modifies the attributes associated with a named object using an an ordered list of modifications.

  Specified by:
    `modifyAttributes` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object whose attributes will be updated
    `mods` - an ordered sequence of modifications to be performed; may not be null
  Throws:
    `AttributeModificationException` - if the modification cannot be completed successfully
    `javax.naming.NamingException` - if a naming exception is encountered

### bind

    public void bind(javax.naming.Name name,
                     java.lang.Object obj,
                     javax.naming.directory.Attributes attrs)
              throws javax.naming.NamingException

  Binds a name to an object, along with associated attributes. If attrs is null, the resulting binding will have the attributes associated with obj if obj is a DirContext, and no attributes otherwise. If attrs is non-null, the resulting binding will have attrs as its attributes; any attributes associated with obj are ignored.

  Specified by:
    `bind` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
    `attrs` - the attributes to associate with the binding
  Throws:
    `NameAlreadyBoundException` - if name is already bound
    `InvalidAttributesException` - if some "mandatory" attributes of the binding are not supplied
    `javax.naming.NamingException` - if a naming exception is encountered

### bind

    public void bind(java.lang.String name,
                     java.lang.Object obj,
                     javax.naming.directory.Attributes attrs)
              throws javax.naming.NamingException

  Binds a name to an object, along with associated attributes.

  Specified by:
    `bind` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
    `attrs` - the attributes to associate with the binding
  Throws:
    `NameAlreadyBoundException` - if name is already bound
    `InvalidAttributesException` - if some "mandatory" attributes of the binding are not supplied
    `javax.naming.NamingException` - if a naming exception is encountered

### rebind

    public void rebind(javax.naming.Name name,
                       java.lang.Object obj,
                       javax.naming.directory.Attributes attrs)
                throws javax.naming.NamingException

  Binds a name to an object, along with associated attributes, overwriting any existing binding. If attrs is null and obj is a DirContext, the attributes from obj are used. If attrs is null and obj is not a DirContext, any existing attributes associated with the object already bound in the directory remain unchanged. If attrs is non-null, any existing attributes associated with the object already bound in the directory are removed and attrs is associated with the named object. If obj is a DirContext and attrs is non-null, the attributes of obj are ignored.

  Specified by:
    `rebind` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
    `attrs` - the attributes to associate with the binding
  Throws:
    `InvalidAttributesException` - if some "mandatory" attributes of the binding are not supplied
    `javax.naming.NamingException` - if a naming exception is encountered

### rebind

    public void rebind(java.lang.String name,
                       java.lang.Object obj,
                       javax.naming.directory.Attributes attrs)
                throws javax.naming.NamingException

  Binds a name to an object, along with associated attributes, overwriting any existing binding.

  Specified by:
    `rebind` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
    `attrs` - the attributes to associate with the binding
  Throws:
    `InvalidAttributesException` - if some "mandatory" attributes of the binding are not supplied
    `javax.naming.NamingException` - if a naming exception is encountered

### createSubcontext

    public javax.naming.directory.DirContext createSubcontext(javax.naming.Name name,
                                                              javax.naming.directory.Attributes attrs)
                                                       throws javax.naming.NamingException

  Creates and binds a new context, along with associated attributes. This method creates a new subcontext with the given name, binds it in the target context (that named by all but terminal atomic component of the name), and associates the supplied attributes with the newly created object. All intermediate and target contexts must already exist. If attrs is null, this method is equivalent to Context.createSubcontext().

  Specified by:
    `createSubcontext` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the context to create; may not be empty
    `attrs` - the attributes to associate with the newly created context
  Returns:
    the newly created context
  Throws:
    `NameAlreadyBoundException` - if the name is already bound
    `InvalidAttributesException` - if attrs does not contain all the mandatory attributes required for creation
    `javax.naming.NamingException` - if a naming exception is encountered

### createSubcontext

    public javax.naming.directory.DirContext createSubcontext(java.lang.String name,
                                                              javax.naming.directory.Attributes attrs)
                                                       throws javax.naming.NamingException

  Creates and binds a new context, along with associated attributes.

  Specified by:
    `createSubcontext` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the context to create; may not be empty
    `attrs` - the attributes to associate with the newly created context
  Returns:
    the newly created context
  Throws:
    `NameAlreadyBoundException` - if the name is already bound
    `InvalidAttributesException` - if attrs does not contain all the mandatory attributes required for creation
    `javax.naming.NamingException` - if a naming exception is encountered

### getSchema

    public javax.naming.directory.DirContext getSchema(javax.naming.Name name)
                                                throws javax.naming.NamingException

  Retrieves the schema associated with the named object. The schema describes rules regarding the structure of the namespace and the attributes stored within it. The schema specifies what types of objects can be added to the directory and where they can be added; what mandatory and optional attributes an object can have. The range of support for schemas is directory-specific.

  Specified by:
    `getSchema` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object whose schema is to be retrieved
  Returns:
    the schema associated with the context; never null
  Throws:
    `OperationNotSupportedException` - if schema not supported
    `javax.naming.NamingException` - if a naming exception is encountered

### getSchema

    public javax.naming.directory.DirContext getSchema(java.lang.String name)
                                                throws javax.naming.NamingException

  Retrieves the schema associated with the named object.

  Specified by:
    `getSchema` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object whose schema is to be retrieved
  Returns:
    the schema associated with the context; never null
  Throws:
    `OperationNotSupportedException` - if schema not supported
    `javax.naming.NamingException` - if a naming exception is encountered

### getSchemaClassDefinition

    public javax.naming.directory.DirContext getSchemaClassDefinition(javax.naming.Name name)
                                                               throws javax.naming.NamingException

  Retrieves a context containing the schema objects of the named object's class definitions.

  Specified by:
    `getSchemaClassDefinition` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object whose object class definition is to be retrieved
  Returns:
    the DirContext containing the named object's class definitions; never null
  Throws:
    `OperationNotSupportedException` - if schema not supported
    `javax.naming.NamingException` - if a naming exception is encountered

### getSchemaClassDefinition

    public javax.naming.directory.DirContext getSchemaClassDefinition(java.lang.String name)
                                                               throws javax.naming.NamingException

  Retrieves a context containing the schema objects of the named object's class definitions.

  Specified by:
    `getSchemaClassDefinition` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the object whose object class definition is to be retrieved
  Returns:
    the DirContext containing the named object's class definitions; never null
  Throws:
    `OperationNotSupportedException` - if schema not supported
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(javax.naming.Name name,
                                                 javax.naming.directory.Attributes matchingAttributes,
                                                 java.lang.String[] attributesToReturn)
                                          throws javax.naming.NamingException

  Searches in a single context for objects that contain a specified set of attributes, and retrieves selected attributes. The search is performed using the default SearchControls settings.

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the context to search
    `matchingAttributes` - the attributes to search for. If empty or null, all objects in the target context are returned.
    `attributesToReturn` - the attributes to return. null indicates that all attributes are to be returned; an empty array indicates that none are to be returned.
  Returns:
    a non-null enumeration of SearchResult objects. Each SearchResult contains the attributes identified by attributesToReturn and the name of the corresponding object, named relative to the context named by name.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 javax.naming.directory.Attributes matchingAttributes,
                                                 java.lang.String[] attributesToReturn)
                                          throws javax.naming.NamingException

  Searches in a single context for objects that contain a specified set of attributes, and retrieves selected attributes.

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the context to search
    `matchingAttributes` - the attributes to search for. If empty or null, all objects in the target context are returned.
    `attributesToReturn` - the attributes to return. null indicates that all attributes are to be returned; an empty array indicates that none are to be returned.
  Returns:
    a non-null enumeration of SearchResult objects. Each SearchResult contains the attributes identified by attributesToReturn and the name of the corresponding object, named relative to the context named by name.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(javax.naming.Name name,
                                                 javax.naming.directory.Attributes matchingAttributes)
                                          throws javax.naming.NamingException

  Searches in a single context for objects that contain a specified set of attributes. This method returns all the attributes of such objects. It is equivalent to supplying null as the atributesToReturn parameter to the method search(Name, Attributes, String[]).

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the context to search
    `matchingAttributes` - the attributes to search for. If empty or null, all objects in the target context are returned.
  Returns:
    a non-null enumeration of SearchResult objects. Each SearchResult contains the attributes identified by attributesToReturn and the name of the corresponding object, named relative to the context named by name.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 javax.naming.directory.Attributes matchingAttributes)
                                          throws javax.naming.NamingException

  Searches in a single context for objects that contain a specified set of attributes.

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the context to search
    `matchingAttributes` - the attributes to search for. If empty or null, all objects in the target context are returned.
  Returns:
    a non-null enumeration of SearchResult objects. Each SearchResult contains the attributes identified by attributesToReturn and the name of the corresponding object, named relative to the context named by name.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(javax.naming.Name name,
                                                 java.lang.String filter,
                                                 javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

  Searches in the named context or object for entries that satisfy the given search filter. Performs the search as specified by the search controls.

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the context or object to search
    `filter` - the filter expression to use for the search; may not be null
    `cons` - the search controls that control the search. If null, the default search controls are used (equivalent to (new SearchControls())).
  Returns:
    an enumeration of SearchResults of the objects that satisfy the filter; never null
  Throws:
    `InvalidSearchFilterException` - if the search filter specified is not supported or understood by the underlying directory
    `InvalidSearchControlsException` - if the search controls contain invalid settings
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 java.lang.String filter,
                                                 javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

  Searches in the named context or object for entries that satisfy the given search filter. Performs the search as specified by the search controls.

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the context or object to search
    `filter` - the filter expression to use for the search; may not be null
    `cons` - the search controls that control the search. If null, the default search controls are used (equivalent to (new SearchControls())).
  Returns:
    an enumeration of SearchResults of the objects that satisfy the filter; never null
  Throws:
    `InvalidSearchFilterException` - if the search filter specified is not supported or understood by the underlying directory
    `InvalidSearchControlsException` - if the search controls contain invalid settings
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(javax.naming.Name name,
                                                 java.lang.String filterExpr,
                                                 java.lang.Object[] filterArgs,
                                                 javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

  Searches in the named context or object for entries that satisfy the given search filter. Performs the search as specified by the search controls.

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the context or object to search
    `filterExpr` - the filter expression to use for the search. The expression may contain variables of the form "{i}" where i is a nonnegative integer. May not be null.
    `filterArgs` - the array of arguments to substitute for the variables in filterExpr. The value of filterArgs[i] will replace each occurrence of "{i}". If null, equivalent to an empty array.
    `cons` - the search controls that control the search. If null, the default search controls are used (equivalent to (new SearchControls())).
  Returns:
    an enumeration of SearchResults of the objects that satisy the filter; never null
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if filterExpr contains {i} expressions where i is outside the bounds of the array filterArgs
    `InvalidSearchControlsException` - if cons contains invalid settings
    `InvalidSearchFilterException` - if filterExpr with filterArgs represents an invalid search filter
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 java.lang.String filterExpr,
                                                 java.lang.Object[] filterArgs,
                                                 javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

  Searches in the named context or object for entries that satisfy the given search filter. Performs the search as specified by the search controls.

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Parameters:
    `name` - the name of the context or object to search
    `filterExpr` - the filter expression to use for the search. The expression may contain variables of the form "{i}" where i is a nonnegative integer. May not be null.
    `filterArgs` - the array of arguments to substitute for the variables in filterExpr. The value of filterArgs[i] will replace each occurrence of "{i}". If null, equivalent to an empty array.
    `cons` - the search controls that control the search. If null, the default search controls are used (equivalent to (new SearchControls())).
  Returns:
    an enumeration of SearchResults of the objects that satisy the filter; never null
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if filterExpr contains {i} expressions where i is outside the bounds of the array filterArgs
    `InvalidSearchControlsException` - if cons contains invalid settings
    `InvalidSearchFilterException` - if filterExpr with filterArgs represents an invalid search filter
    `javax.naming.NamingException` - if a naming exception is encountered

### parseName

    protected java.lang.String parseName(java.lang.String name)
                                  throws javax.naming.NamingException

  Parses a name.

  Returns:
    the parsed name
  Throws:
    `javax.naming.NamingException`

### parseName

    protected javax.naming.Name parseName(javax.naming.Name name)
                                   throws javax.naming.NamingException

  Parses a name.

  Returns:
    the parsed name
  Throws:
    `javax.naming.NamingException`

### cacheLookup

    protected ProxyDirContext.CacheEntry cacheLookup(java.lang.String name)
                                              throws javax.naming.NamingException

  Lookup in cache.

  Throws:
    `javax.naming.NamingException`

### validate

    protected boolean validate(ProxyDirContext.CacheEntry entry)

  Validate entry.

### revalidate

    protected boolean revalidate(ProxyDirContext.CacheEntry entry)

  Revalidate entry.

### cacheLoad

    protected void cacheLoad(ProxyDirContext.CacheEntry entry)

  Load entry into cache.

### cacheUnload

    protected boolean cacheUnload(java.lang.String name)

  Remove entry from cache.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.